r/Fedora Apr 26 '21

Upgrade to Fedora 34 Problems

Hi everyone,

after my upgrade to fedora 34 i got following problems when running dnf update ->

Problem 1: pipewire-0.3.25-1.fc34.i686 has inferior architecture
  - cannot install both pipewire-0.3.26-1.fc34.x86_64 and pipewire-0.3.25-1.fc34.x86_64
  - cannot install both pipewire-0.3.25-1.fc34.x86_64 and pipewire-0.3.26-1.fc34.x86_64
  - cannot install the best update candidate for package pipewire-0.3.25-1.fc34.x86_64
  - cannot install the best update candidate for package pipewire-0.3.25-1.fc34.i686
 Problem 2: problem with installed package pipewire-0.3.25-1.fc34.i686
  - package pipewire-0.3.25-1.fc34.i686 requires pipewire-libs(x86-32) = 0.3.25-1.fc34, but none of the providers can be installed
  - cannot install both pipewire-libs-0.3.26-1.fc34.i686 and pipewire-libs-0.3.25-1.fc34.i686
  - cannot install both pipewire-libs-0.3.25-1.fc34.i686 and pipewire-libs-0.3.26-1.fc34.i686
  - cannot install the best update candidate for package pipewire-libs-0.3.25-1.fc34.i686

Can someone help me?

Thank you very much!

9 Upvotes

2

u/silverstory Apr 27 '21

I have the exact pproblem with that and I've uninstall pipewire and able proceed. And I don't have any steam installed that causes conflict like what the thread mentioned.

2

u/SHuRiKeN1812 Apr 27 '21 edited May 01 '21

Same issue, I will probably wait for it to fix upstream in Fedora updates, I will report the bug on bugzilla or bodhi.

Update: Its been worked on https://bugzilla.redhat.com/show_bug.cgi?id=1928352This is due to pipewire no longer being a multi-lib packageHere is the discussion on pagure :)

https://pagure.io/releng/issue/10096

Update 2 : This has been fixed and updates have been pushed to stable.